<template>
  <div>
    <div class="ob-spot-list__icon" v-if="isEmpty">
      <i class="icon -cobalt" :class="auctionIconClass" />
    </div>
    <span v-else>–</span>
  </div>
</template>

<script>
import { AUCTION_TYPES } from '@/resources/enum'

export default {
  name: 'auctionType',
  props: {
    item: {
      type: Object,
      default: () => {}
    }
  },
  data () {
    return {
      auctionIcon: AUCTION_TYPES
    }
  },
  computed: {
    isEmpty () {
      return !!this.item.auctionType
    },
    auctionIconClass () {
      return this.auctionIcon[this.item.auctionType].icon
    }
  }
}
</script>
